# Demonstration

Some demos of how restructuredtext rendering looks.

The demos are possible because rich has the feature to save console output to html files

## Demo Files

### Console Output

- directives.html

- introduction.html

- rich_introduction.html

- roles.html

- specification.html

### Raw RST (Input)

- directives.rst

- introduction.rst

- rich_introduction.rst

- roles.rst

- specification.rst

## Parameters Used

The following command was used the generate every file except `rich_introduction.rst`

On Windows:

    rich_rst .\demo\filename.rst ^
        --save-html .\demo\filename.html ^
        --code-theme dracula ^
        --default-lexer rst  ^
        --soft-wrap ^
        --hide-errors

On Linux/Mac

    rich_rst ./demo/filename.rst \
        --save-html ./demo/filename.html \
        --code-theme dracula \
        --default-lexer rst  \
        --soft-wrap \
        --hide-errors

Note

There are aliases available for those parameters

For `rich_introduction.rst`, The -dl parameter was set to python

## Sources

### Original HTML

`directives.rst` : https://docutils.sourceforge.io/docs/ref/rst/directives.html
`specification.rst` : https://docutils.sourceforge.io/docs/ref/rst/restructuredtext.html
`introduction.rst` : https://docutils.sourceforge.io/docs/ref/rst/introduction.html
`mathematics.rst` : https://docutils.sourceforge.io/docs/ref/rst/mathematics.html
`roles.rst` : https://docutils.sourceforge.io/docs/ref/rst/roles.html
`rich_introduction.rst` : https://rich.readthedocs.io/en/latest/introduction.html

### Original RST

`directives.rst` : https://docutils.sourceforge.io/docs/ref/rst/directives.txt
`specification.rst` : https://docutils.sourceforge.io/docs/ref/rst/restructuredtext.txt
`introduction.rst` : https://docutils.sourceforge.io/docs/ref/rst/introduction.txt
`mathematics.rst` : https://docutils.sourceforge.io/docs/ref/rst/mathematics.txt
`roles.rst` : https://docutils.sourceforge.io/docs/ref/rst/roles.txt
`rich_introduction.rst` : https://github.com/Textualize/rich/raw/master/docs/source/introduction.rst